
.container-3d{
	margin: 4% auto;
	width: 210px;
	height: 140px;
	position: relative;
	perspective: 1000px;
}
#carousel{
	width: 100%;
	height: 100%;
	position: absolute;
	transform-style: preserve-3d;
	animation: rotation 20s infinite linear;
}
#carousel:hover{
	animation-play-state: paused;
}
#carousel figure{
	display: block;
	position: absolute;
	width: 186px;
	height: 116px;
	left: 10px;
	top: 10px;
	background: black;
	overflow: hidden;
	border: solid 5px black;
}
#carousel figure:nth-child(1){transform: rotateY(0deg) translateZ(288px);}
#carousel figure:nth-child(2) { transform: rotateY(40deg) translateZ(288px);}
#carousel figure:nth-child(3) { transform: rotateY(80deg) translateZ(288px);}
#carousel figure:nth-child(4) { transform: rotateY(120deg) translateZ(288px);}
#carousel figure:nth-child(5) { transform: rotateY(160deg) translateZ(288px);}
#carousel figure:nth-child(6) { transform: rotateY(200deg) translateZ(288px);}
#carousel figure:nth-child(7) { transform: rotateY(240deg) translateZ(288px);}
#carousel figure:nth-child(8) { transform: rotateY(280deg) translateZ(288px);}
#carousel figure:nth-child(9) { transform: rotateY(320deg) translateZ(288px);}

.container-3d img{
	-webkit-filter: grayscale(1);
	cursor: pointer;
	transition: all .5s ease;
}
.container-3d img:hover{
	-webkit-filter: grayscale(0);
  transform: scale(1.2,1.2);
}

@keyframes rotation{
	from{
		transform: rotateY(0deg);
	}
	to{
		transform: rotateY(360deg);
	}
}

/**/
.gallery {
  overflow: hidden;
  height: 750px;
  width: 100%;
  display: block;
  margin: 0;
  padding: 0;
  position: relative;
}

.imgWrap {
  cursor:pointer;
  float: left;
  width: 17%;
  height: 61%;
  overflow: hidden;
  position: relative;
  background-repeat: no-repeat;
  background-position: center center;
  background-size: cover;
  -webkit-transition: all 1s cubic-bezier(0.25, 0.46, 0.45, 0.94);
  -moz-transition: all 1s cubic-bezier(0.25, 0.46, 0.45, 0.94);
  -o-transition: all 1s cubic-bezier(0.25, 0.46, 0.45, 0.94);
  transition: all 1s cubic-bezier(0.25, 0.46, 0.45, 0.94);
	margin-right: 17px;
}
.imgWrap:last-child {
  float: left;
}

.current {
  width: 20%;
  -webkit-transition: all 0.5s cubic-bezier(0.25, 0.46, 0.45, 0.94);
     -moz-transition: all 0.5s cubic-bezier(0.25, 0.46, 0.45, 0.94);
       -o-transition: all 0.5s cubic-bezier(0.25, 0.46, 0.45, 0.94);
          transition: all 0.5s cubic-bezier(0.25, 0.46, 0.45, 0.94);
}

.notCurrent {
  width: 16%;
  -webkit-transition: all 0.5s cubic-bezier(0.25, 0.46, 0.45, 0.94);
     -moz-transition: all 0.5s cubic-bezier(0.25, 0.46, 0.45, 0.94);
       -o-transition: all 0.5s cubic-bezier(0.25, 0.46, 0.45, 0.94);
          transition: all 0.5s cubic-bezier(0.25, 0.46, 0.45, 0.94);
}

.current-full {
  width: 100%;
  -webkit-transition: all 1s cubic-bezier(0.25, 0.46, 0.45, 0.94);
  -moz-transition: all 1s cubic-bezier(0.25, 0.46, 0.45, 0.94);
  -o-transition: all 1s cubic-bezier(0.25, 0.46, 0.45, 0.94);
  transition: all 1s cubic-bezier(0.25, 0.46, 0.45, 0.94);
}



.current-full .full-content {
  visibility: visible;
}

.full-content {
  visibility: hidden;
  background: rgba(0, 0, 0, 0.6);
  height: 100%;
  width: 100%;
}

.notCurrent-full {
  width: 0%;
  -webkit-transition: all 1s cubic-bezier(0.25, 0.46, 0.45, 0.94);
  -moz-transition: all 1s cubic-bezier(0.25, 0.46, 0.45, 0.94);
  -o-transition: all 1s cubic-bezier(0.25, 0.46, 0.45, 0.94);
  transition: all 1s cubic-bezier(0.25, 0.46, 0.45, 0.94);
  height: 0
}

/******************************
Image Gallery
******************************/
.images ul li {
  float: left;
  width: 150px;
/*  height: 125px;*/
  list-style: none;
  margin: 40px 40px 40px 40px;
  opacity: 1;
  box-shadow: #000 0px 0px 5px 0px;
  -webkit-animation: scale 3s ease-in-out infinite alternate;
}

.images ul li:hover {
  opacity: 1.0;
}

/******************************
Button Close
******************************/
.current-full .close {
  visibility:visible;
}


.close {
width: 44px;
height: 44px;
line-height: 44px;
position: absolute;
right: 0;
top: 0;
text-decoration: none;
text-align: center;
opacity: 0.65;
padding: 0 0 18px 10px;
color: white;
font-style: normal;
font-size: 28px;
font-family: Arial, Baskerville, monospace;
}

/**/

.popup{
    width: 900px;
    margin: auto;
    text-align: center
}
.popup img{
    width: 200px;
    height: 200px;
    cursor: pointer
}
.showp{
    z-index: 999;
    display: none;
}
.showp .overlayp{
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,.66);
    position: absolute;
    top: 0;
    left: 0;
}
.showp .img-showp{
    width: 600px;
    height: 400px;
    background: #FFF;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    overflow: hidden
}
.img-showp span{
    position: absolute;
    top: 10px;
    right: 10px;
    z-index: 99;
    cursor: pointer;
}
.img-showp img{
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
}
/*End style*/

/*----------*\
   #LAYOUT
\*----------*/



.temp-wrapper {
  margin: 20px;
}

@media all and (min-width: 480px) {
  .temp-wrapper {
    width: 50%;
    margin: 20px auto;
  }

  .temp-wrapper--wide {
    width: 100%;
  }

  .temp-wrapper--wider {
    width: 100%;
  }
}

@media all and (min-width: 768px) {
  .temp-wrapper {
    width: 33.33337%;
  }

  .temp-wrapper--wide {
    width: 66.66667%;
  }

  .temp-wrapper--wider {
    width: 100%;
  }
}

@media all and (min-width: 1024px) {
  .temp-wrapper {
    width: 22%;
  }

  .temp-wrapper--wide {
    width: 50%;
  }

  .temp-wrapper--wider {
    width: 75%;
  }
}





/*------------*\
   #IPHONE X
\*------------*/



.px {
  position: relative;
  padding: 6% 7%;
}

.px--ls {
  padding: 3.3% 3%;
}

  .px__body {
    position: absolute;
    top:    0;
    right:  1%;
    bottom: 0;
    left:   1%;
    background: linear-gradient(to top, #e5e5e5 0%, #f7f7f9 10%, #eeeef0 90%);
    border-radius: 14%/7%;
    box-shadow: inset 0 0 3px 1px #000
  }

  .px--ls > .px__body {
    top:    1%;
    right:  0;
    bottom: 1%;
    left:   0;
    border-radius: 7%/14%;
  }

    .px__body:before {
      content: '';
      position: absolute;
      top:     .7%;
      right:  1.4%;
      bottom:  .7%;
      left:   1.4%;
      background-color: #000;
      border-radius: 13%/7%;
      box-shadow: 0 0 3px #000
    }

    .px--ls > .px__body:before {
      top:    1.4%;
      right:   .7%;
      bottom: 1.4%;
      left:    .7%;
      border-radius: 7%/13%;
    }

    .px__body:after {
      content: '';
      position: absolute;
      top:    1%;
      right:  2.3%;
      bottom: 1%;
      left:   2.3%;
      background-color: #000;
      box-shadow: inset 0 0 10px 2px #fff;
      border-radius: 13%/6.5%;
    }

    .px--ls > .px__body:after {
      top:    2.3%;
      right:  1%;
      bottom: 2.3%;
      left:   1%;
      border-radius: 6.5%/13%;
    }

    .px__body__cut {
      position: absolute;
      z-index: 2;
      top:   3%;
      left: 50%;
      width: 50%;
      height: 3.5%;
      background-color: #000;
      border-radius: 0 0 10% 10%/80%;
      transform: translate3d(-50%,0,0);
    }

    .px--ls .px__body__cut {
      top: 50%;
      left: 3%;
      width: 3.5%;
      height:  50%;
      border-radius: 0 80% 80% 0/10%;
      transform: translate3d(0,-50%,0);
    }

    .px__body__speaker, .px__body__camera, .px__body__sensor {
      position: absolute;
      z-index: 2;
      background-color: #222;
      transform: translate(-50%,-50%);
    }

    .px__body__speaker {
      top:  4%;
      left: 50%;
      width: 12%;
      height:  .8%;
      border-radius: 5px;
    }

    .px--ls .px__body__speaker {
      top:  50%;
      left: 4%;
      width:    .8%;
      height: 12%;
    }

    .px__body__camera {
      top:   4%;
      left: 36%;
      width:  3.5%;
      height: 1.7%;
      border-radius: 50%;
      box-shadow: inset 0 0 2px 1px #000;
    }

    .px--ls .px__body__camera {
      top:  64%;
      left:  4%;
      width:  1.7%;
      height: 3.5%;
    }

    .px__body__sensor {
      top:   4%;
      left: 61%;
      width:  2.2%;
      height: 1.1%;
      border-radius: 50%;
      background-color: #2a4a73;
      box-shadow: inset 0 0 2px 1px #000;
    }

    .px--ls .px__body__sensor {
      top:  39%;
      left:  4%;
      width:  1.1%;
      height: 2.2%;
    }

    .px__body__mute, .px__body__up, .px__body__down, .px__body__right {
      position: absolute;
      background-color: #b5b8ba;
      box-shadow: inset 0 5px 5px -3px rgba(0,0,0,.5), inset 0 -5px 5px -3px rgba(0,0,0,.5);
      transform: translate(0,-50%);
    }

    .px--ls .px__body__mute, .px--ls .px__body__up, .px--ls .px__body__down, .px--ls .px__body__right {
      box-shadow: inset 5px 0 5px -3px rgba(0,0,0,.5), inset -5px 0 5px -3px rgba(0,0,0,.5);
      transform: translate(-50%,0);
    }

    .px--ls .px__body__right {
      background-color: #f4f6f6;
    }

    .px__body__mute {
      top: 14.7%;
      left: -.7%;
      width: .7%;
      height: 4%;
      border-radius: 1px 0 0 1px;
    }

    .px--ls .px__body__mute {
      top: auto;
      left:  14.7%;
      bottom: -.7%;
      width: 4%;
      height: .7%;
      border-radius: 0 0 1px 1px;
    }

    .px__body__up, .px__body__down {
      left: -1%;
      width:  1%;
      height: 7.5%;
      border-radius: 2px 0 0 2px;
    }

    .px--ls .px__body__up, .px--ls .px__body__down {
      bottom: -1%;
      width:  7.5%;
      height: 1%;
      border-radius: 0 0 2px 2px;
    }

    .px__body__up {
      top: 25%;
    }

    .px--ls .px__body__up {
      top: auto;
      left: 25%;
    }

    .px__body__down {
      top: 34%;
    }

    .px--ls .px__body__down {
      top: auto;
      left: 34%;
    }

    .px__body__right {
      top:   25%;
      right: -1%;
      width:  1%;
      height: 7.5%;
      border-radius: 0 2px 2px 0;
    }

    .px--ls .px__body__right {
      top:  -1%;
      right: auto;
      left: 25%;
      width:  7.5%;
      height: 1%;
      border-radius: 2px 2px 0 0;
    }

  .px__screen {
    position: relative;
    z-index: 1;
  }

    .px__screen__ {
      position: relative;
      padding-bottom: 185%;
      background-color: #888;
      border-radius: 10%/5%;
      box-shadow: 0 0 10px #000;
    }

    .px--ls .px__screen__ {
      padding-bottom: 46%;
      border-radius: 5%/10%;
    }

      .px__screen__frame {
        position: absolute;
        top:    0;
        right:  0;
        bottom: 0;
        left:   0;
        overflow: hidden;
        border-radius: inherit;
        background-size: cover;
        background-position: center center
      }

        .px__screen__frame > .fa {
          position: absolute;
          top:  50%;
          left: 50%;
          font-size: 5em;
          transform: translate(-50%,-50%);
        }


.mfp-with-fade .mfp-content,
.mfp-with-fade .mfp-arrow, .mfp-with-fade.mfp-bg {
  opacity: 0;
  -webkit-backface-visibility: hidden;
  -webkit-transition: opacity 0.3s ease-out;
  -moz-transition: opacity 0.3s ease-out;
  -o-transition: opacity 0.3s ease-out;
  transition: opacity 0.3s ease-out;
}
.mfp-with-fade.mfp-ready .mfp-content,
.mfp-with-fade.mfp-ready .mfp-arrow {
  opacity: 1;
}
.mfp-with-fade.mfp-ready.mfp-bg {
  opacity: 0.8;
}
.mfp-with-fade.mfp-removing .mfp-content,
.mfp-with-fade.mfp-removing .mfp-arrow, .mfp-with-fade.mfp-removing.mfp-bg {
  opacity: 0;
}
/**/
.popupp{
    width: 900px;
    margin: auto;
    text-align: center
}
.popupp img{
    width: 23%;
    cursor: pointer
}
.showw{
    z-index: 999;
    display: none;
}
.showw .overlayy{
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,.66);
    position: absolute;
    top: 0;
    left: 0;
}
.showw .img-showw{
    width: 24%;
    height: 100%;
    background: #FFF;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    overflow: hidden
}
.img-showw span{
    position: absolute;
    top: 10px;
    right: 10px;
    z-index: 99;
    cursor: pointer;
}
.img-showw img{
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
}
/*End style*/
.slider-wrapper {
  /* width: 390px; */
  
  max-width: 24.375em;
  margin: 2em auto 0;
}

.rotatescroll img {
  vertical-align: middle;
  border: 9px solid #26d9a0;
}

.rotatescroll img,
.rotatescroll .overview li {
  border-radius: 50%;
}
/* Tiny Circleslider */

.rotatescroll {
  position: relative;
  height: 390px;
  width: 390px;
  padding: 40px;
  overflow: hidden;
}

.rotatescroll .viewport {
  /* width: 390px; */
  
  height: 390px;
  position: relative;
  margin: 0 auto;
  overflow: hidden;
  pointer-events: none;
  background-color: #26d9a0;
}

.rotatescroll .overview {
  /* position: absolute; */ 
  position: relative;
  width: 798px;
  list-style: none;
  left: 0;
  top: 0;
  margin: -20px 0 0 -20px;
  padding: 0;
  z-index: 0;
}

.rotatescroll .overview li {
  height: 342px;
  width: 342px;
  float: left;
  position: relative;
  padding: 15px;
  margin: 4px 0 0 4px;
}

.rotatescroll .overlay {
  pointer-events: none;
  position: absolute;
  left: 0;
  top: 0;
  height: 390px;
  width: 390px;
  /* standalone SVG: https://gist.github.com/atelierbram/2f7e675dc7d65acab65d#file-bg-scroll-active_390x390-svg */ 
  background: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 390 390'%3E%3Cg%3E%3Cpath fill='rgb(48,54,52)' d='M195,0H0v195C0,87.305,87.305,0,195,0z'/%3E%3Cpath fill='rgb(48,54,52)' d='M195,390h195V195C390,302.696,302.695,390,195,390z'/%3E%3Cpath fill='rgb(48,54,52)' d='M0,195v195h195C87.305,390,0,302.696,0,195z'/%3E%3Cpath fill='rgb(48,54,52)' d='M195,0c107.695,0,195,87.305,195,195V0H195z'/%3E%3C/g%3E%3Cg%3E%3Cpath fill='rgb(64,191,151)' d='M195,0C87.304,0,0,87.305,0,195s87.304,195,195,195c107.695,0,195-87.305,195-195S302.695,0,195,0z M195,345c-82.926,0-150-67.074-150-150c0-82.925,67.074-150,150-150c82.926,0,150,67.075,150,150C345,277.926,277.926,345,195,345 z'/%3E%3C/g%3E%3Cg%3E%3Cpath fill='rgb(240,250,247)' d='M195,3C88.919,3,3,88.92,3,195s85.919,192,192,192c106.08,0,192-85.92,192-192S301.08,3,195,3z M195,345 c-82.926,0-150-67.074-150-150c0-82.925,67.074-150,150-150c82.926,0,150,67.075,150,150C345,277.926,277.926,345,195,345z'/%3E%3C/g%3E%3Cg%3E%3Cpath fill='rgb(38,217,160)' d='M195,43c-84.003,0-152,67.998-152,152c0,84.002,67.997,152,152,152c84.002,0,152-67.998,152-152 C347,110.998,279.002,43,195,43z M195,345c-82.926,0-150-67.074-150-150c0-82.925,67.074-150,150-150c82.926,0,150,67.075,150,150 C345,277.926,277.926,345,195,345z'/%3E%3C/g%3E%3Cg%3E%3Cpath fill='rgb(38,217,160)' d='M137.375,56.438C155.096,49.08,174.598,45,195,45s39.697,4.018,57.417,11.375l16.792-40.458 C246.524,6.489,221.106,1,195,1c-26.107,0-51.759,5.447-74.443,14.875L137.375,56.438z'/%3E%3C/g%3E%3C/svg%3E") 0 0 no-repeat; 
}

.rotatescroll .overlay-interaction {
   background: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 390 390'%3E%3Cg%3E%3Cpath fill='rgb(185,255,153)' d='M137.375,56.438C155.096,49.08,174.598,45,195,45s39.697,4.018,57.417,11.375l16.792-40.458 C246.524,6.489,221.106,1,195,1c-26.107,0-51.759,5.447-74.443,14.875L137.375,56.438z'/%3E%3C/g%3E%3C/svg%3E") 0 0 no-repeat;
   z-index: 0;
}

.rotatescroll [class*="-hovered"] {
  z-index: 1;
}

/*  https://mathiasbynens.be/notes/css-escapes  */
.rotatescroll .slideno\(1\),
.is-slide2-hovered {
  transform: rotate(45deg);
}
.rotatescroll .slideno\(2\),
.is-slide3-hovered {
  transform: rotate(90deg);
}
.rotatescroll .slideno\(3\),
.is-slide4-hovered {
  transform: rotate(135deg);
}
.rotatescroll .slideno\(4\),
.is-slide5-hovered {
  transform: rotate(135deg);
  transform: rotate(180deg);
}
.rotatescroll .slideno\(5\),
.is-slide6-hovered {
  transform: rotate(225deg);
}
.rotatescroll .slideno\(6\),
.is-slide7-hovered {
  transform: rotate(270deg);
}
.rotatescroll .slideno\(7\),
.is-slide8-hovered {
  transform: rotate(315deg);
}

.rotatescroll .thumb {
  touch-action: none;
  -ms-touch-action: none;
  position: absolute;
  top: -3px;
  cursor: pointer;
  /* left: 137px; */ 
  left: 200px;
  width: 24px;
  height: 24px;
  z-index: 200;
  background: #fff;
  border: 2px solid #40bf97;
  border-radius: 50%;
}

.rotatescroll .dot {
  left: inherit !important;
  top: 0 !important;
  z-index: 100;
  text-align: center;
  overflow: hidden;
  position: absolute;
  /* top: 0; */
  
  right: 0;
  width: 50%;
  height: 50%;
  transform-origin: 0% 100%;
}

.rotatescroll .dot span {
  /* display: none; */
}

.rotatescroll .dot:after {
  content: '';
  position: absolute;
  top: 2px;
  left: 0;
  border-left: 2px solid #40b590;
  height: 42px;
  /* display: table-cell; */
}

.rotatescroll .text {
  padding-top: 20px;
}

.rotatescroll .flip.text {
  padding-top: 30px;
}

.rotatescroll .flip.text span {
  top: 5px;
}

.rotatescroll .active .flip.text span {
  top: 18px !important;
}

.rotatescroll .active h1 div.text {
  /* background-color: #26d9a0; */ 
  color: #fff;
  padding: 20px;
  height: 8px !important;
  text-shadow: 0 0 1px #303634,2px 1px 1px hsla(160, 6%, 20%,.5);
  font-family: AvenirNext-DemiBold, Corbel, "Segoe Ui", "Trebuchet Ms", sans-serif;
}

.rotatescroll .active h1 div.text:hover {
  color: #303634;
  text-shadow: none;
} 

.rotatescroll h1 span {
  line-height: 0.65;
  white-space: pre;
  overflow: visible;
  padding: 0px;
}

.rotatescroll .flip {
  transform: rotate(180deg)
}

.rotatescroll .active {}

.rotatescroll .dot h1 {
  position: absolute;
  left: -100%;
  width: 200%;
  height: 200%;
  transform: skewY(45deg) rotate(22.5deg);
  margin: 0;
  cursor: pointer;
  text-align: center;
  font-size: 12px;
  line-height: 0;
  font-weight: bold;
  text-transform: uppercase;
  color: #303634; 
}

.rotatescroll .dot-1 {
  transform: rotate(337.5deg) skewY(-45deg);
}

.rotatescroll .dot-2 {
  transform: rotate(22.5deg) skewY(-45deg);
}

.rotatescroll .dot-3 {
  transform: rotate(67.5deg) skewY(-45deg);
}

.rotatescroll .dot-4 {
  transform: rotate(112.5deg) skewY(-45deg);
}

.rotatescroll .dot-5 {
  transform: rotate(157.5deg) skewY(-45deg);
}

.rotatescroll .dot-6 {
  transform: rotate(202.5deg) skewY(-45deg);
}

.rotatescroll .dot-7 {
  transform: rotate(247.5deg) skewY(-45deg);
}

.rotatescroll .dot-8 {
  transform: rotate(292.5deg) skewY(-45deg);
}